Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
DownloadDb::MultifileRecord Class Reference
Inheritance diagram for DownloadDb::MultifileRecord:

## Public Member Functions
| MultifileRecord (std::string name, Phase phase, int size, int status)
PT(FileRecord) get_file_record_named(std void | add_file_record (PT(FileRecord) fr)
bool | file_exists (std::string fname) const
std::string | get_file_name (int index) const
int | get_num_files () const
void | write (std::ostream &out) const
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Public Attributes
FileRecords | _file_records
HashVal | _hash
std::string | _name
int32_t | _num_files
Phase | _phase
int | _size
int | _status
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Additional Inherited Members
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Detailed Description

Definition at line 144 of file downloadDb.h.

## Constructor & Destructor Documentation

## ◆ MultifileRecord() [1/2]

DownloadDb::MultifileRecord::MultifileRecord | ( |  | ) |

Definition at line 400 of file downloadDb.cxx.

## ◆ MultifileRecord() [2/2]

DownloadDb::MultifileRecord::MultifileRecord | ( | std::string | name,
|  | Phase | phase,
|  | int | size,
|  | int | status )

Definition at line 412 of file downloadDb.cxx.

## Member Function Documentation

## ◆ add_file_record()

void DownloadDb::MultifileRecord::add_file_record | ( | PT(FileRecord) | fr | ) |

Definition at line 496 of file downloadDb.cxx.

## ◆ file_exists()

bool DownloadDb::MultifileRecord::file_exists | ( | std::string | fname | ) | const

Definition at line 461 of file downloadDb.cxx.

## ◆ get_file_name()

string DownloadDb::MultifileRecord::get_file_name | ( | int | index | ) | const

Definition at line 452 of file downloadDb.cxx.

## ◆ get_num_files()

int DownloadDb::MultifileRecord::get_num_files | ( |  | ) | const

Definition at line 444 of file downloadDb.cxx.

## ◆ write()

void DownloadDb::MultifileRecord::write | ( | std::ostream & | out | ) | const

Definition at line 424 of file downloadDb.cxx.

## Member Data Documentation

## ◆ _file_records

FileRecords DownloadDb::MultifileRecord::_file_records

Definition at line 160 of file downloadDb.h.

## ◆ _hash

HashVal DownloadDb::MultifileRecord::_hash

Definition at line 158 of file downloadDb.h.

## ◆ _name

std::string DownloadDb::MultifileRecord::_name

Definition at line 154 of file downloadDb.h.

## ◆ _num_files

int32_t DownloadDb::MultifileRecord::_num_files

Definition at line 159 of file downloadDb.h.

## ◆ _phase

Phase DownloadDb::MultifileRecord::_phase

Definition at line 155 of file downloadDb.h.

## ◆ _size

int DownloadDb::MultifileRecord::_size

Definition at line 156 of file downloadDb.h.

## ◆ _status

int DownloadDb::MultifileRecord::_status

Definition at line 157 of file downloadDb.h.

The documentation for this class was generated from the following files:

- panda/src/downloader/downloadDb.h
- panda/src/downloader/downloadDb.cxx